#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Trigram
Summary:	String::Trigram - find similar strings by trigram method
Summary(pl.UTF-8):	String::Trigram - poszukiwanie podobnych łańcuchów metodą trygramów
Name:		perl-String-Trigram
Version:	0.11
Release:	3
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	43e5234ecfb00ab06f5f07f45043b6dc
URL:		http://search.cpan.org/dist/String-Trigram/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module computes the similarity of two strings based on the
trigram method. This consists in splitting some string into triples of
characters and comparing those to the trigrams of some other string.
For example the string kangaroo has the trigrams {kan ang nga gar aro
roo}. A wrongly typed kanagaroo has the trigrams {kan ana nag aga gar
aro roo}. To compute the similarity we (roughly) divide the number of
matching trigrams (tokens not types) by the number of all trigrams
(types not tokens). For our example this means dividing 4 / 9
resulting in 0.44.

%description -l pl.UTF-8
Ten moduł oblicza podobieństwo dwóch łańcuchów bazując na metodzie
trygramów. Składa się ona z dzielenia łańcucha na trójki znaków i
porównywanie tych trygramów z jakimś innym łańcuchem. Na przykład
łańcuch "kangaroo" zawiera trygramy {kan ang nga gar aro roo}. Źle
napisane "kanagaroo" zawiera trygramy {kan ana nag aga gar aro roo}.
Aby obliczyć podobieństwo, dzielimy (zgrubnie) liczbę pasujących
trygramów (tokenów, nie typów) przez liczbę wszystkich trygramów
(typów, nie tokenów). W naszym przykładzie oznacza to dzielenie 4 / 9,
co daje wartość 0.44.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/String/*.pm
%dir %{perl_vendorarch}/auto/String/Trigram
%{perl_vendorarch}/auto/String/Trigram/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/String/Trigram/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Trigram.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 59c2bed
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c6a9bf7
- release 2

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> 4b140aa
- updated to 0.11

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 686c97d
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c48952
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> a6dc13e
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3536ac7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e99afcc
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e6563bd
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 223cf74
- spelling fixes, uppercases, etc.

* Fri May 07 2004 ankry <ankry@pld-linux.org> 0960b58
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> d8e322a
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> c075ab5
- license fixed, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> db0fd4c
- new bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 690f213
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b4cbd8f
- mass commit: cosmetics (removed trailing white spaces)

* Thu Jun 12 2003 Jakub Bogusz <qboosh@pld-linux.org> cac0924
- up to 0.1, no longer noarch (from RA-branch), release 2

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e0656d5
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6aeda43
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 0fc029d
- BR: perl-devel; do not BR: perl

